com.google.gwt.event.dom.client

## Interface HasProgressHandlers

All Superinterfaces:
  HasHandlers

All Known Subinterfaces:
  HasAllMediaHandlers

All Known Implementing Classes:
  Audio, MediaBase, Video

    public interface HasProgressHandlers
    extends HasHandlers

A widget that implements this interface provides registration for `ProgressHandler` instances.

Experimental API: This API is still under development and is subject to change.

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerRegistration` `addProgressHandler(ProgressHandler handler)` Adds a `ProgressEvent` handler.

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Method Detail

#### addProgressHandler

    HandlerRegistration addProgressHandler(ProgressHandler handler)

Adds a `ProgressEvent` handler.

Parameters:
  `handler` - the media progress handler
Returns:
  `HandlerRegistration` used to remove this handler